import _map from "lodash/map";
import { useComponentDriver } from "../../testkit/new/Component.driver";
import { WheelPickerDriver } from "../WheelPicker/WheelPicker.driver";
export const SectionsWheelPickerDriver = props => {
  const driver = useComponentDriver(props);
  const sections = driver.getElement().children;
  const sectionsDrivers = _map(sections, (_, index) => {
    const sectionTestID = `${props.testID}.${index}`;
    return WheelPickerDriver({
      renderTree: props.renderTree,
      testID: sectionTestID
    });
  });
  return {
    ...driver,
    sections,
    sectionsDrivers
  };
};